import getTag from '../utils/getTag.js'
import asyncHandler from '../middleware/async.js'

/**
 * gameController.tagList()
 * Finds all genres used distinctly
 */
export const genreList = asyncHandler(async (req, res, next) => {
  const genre = await getTag('genre')

  return res.status(200).json({
    success: true,
    genre,
  })
})

export const seriesList = asyncHandler(async (req, res, next) => {
  const series = await getTag('series')

  return res.status(200).json({
    success: true,
    series,
  })
})

export const storeList = asyncHandler(async (req, res, next) => {
  const store = await getTag('accessedBy.store')

  return res.status(200).json({
    success: true,
    store,
  })
})

export const developerList = asyncHandler(async (req, res, next) => {
  const developer = await getTag('developer')

  return res.status(200).json({
    success: true,
    developer,
  })
})

export const publisherList = asyncHandler(async (req, res, next) => {
  const publisher = await getTag('publisher')

  return res.status(200).json({
    success: true,
    publisher,
  })
})

export const tags = async (req, res, next) => {
  const genre = await getTag('genre')
  const series = await getTag('series')
  const store = await getTag('accessedBy.store')
  const developer = await getTag('developer')
  const publisher = await getTag('publisher')
  const tags = { genre, series, store, developer, publisher }
  return res.status(200).json({
    success: true,
    data: tags,
  })
}
